The Mix manifest does not exist

环境:LNMP
ubuntu18.04
php7.2
nginx1.15
composer1.8.5
nodejs 10.15.2
npm6.9.0
官方要求服务器配置:安装《Laravel 5.5 中文文档》

但如果你不使用 Homestead,则需要确保你的服务器符合以下要求:
PHP >= 7.0.0
PHP OpenSSL 扩展
PHP PDO 扩展
PHP Mbstring 扩展
PHP Tokenizer 扩展
PHP XML 扩展
服务器配置:

The Mix manifest does not exist
参考文档:
2.6. 基础布局《L05 Laravel 教程 - 电商实战 ( Laravel 5.5 ) 》
2.4. 创建应用《L05 Laravel 教程 - 电商实战 ( Laravel 5.5 ) 》
编辑资源 Mix《Laravel 5.5 中文文档》
具体操作:

composer config -g repo.packagist composer https://packagist.laravel-china.org
cd /var/www/html/laravel-shop/
composer create-project laravel/laravel laravel-shop --prefer-dist "5.5.*"
sudo curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
sudo echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list
sudo apt-get update
sudo apt-get install yarn
sudo yarn config set registry https://registry.npm.taobao.org
sudo SASS_BINARY_SITE=http://npm.taobao.org/mirrors/node-sass yarn
yarn install

报错信息如下:
ErrorException (E_ERROR)

The Mix manifest does not exist. (View: /var/www/html/laravel-shop/resources/views/layouts/app.blade.php) (View: /var/www/html/laravel-shop/resources/views/layouts/app.blade.php)
The Mix manifest does not exist
参考解决案例
博客:Error: pngquant failed to build, make sure that libpng-dev is in...
无效。

npm intsall

提示:Error: pngquant failed to build, make sure that libpng-dev is installed
然而,

mahao@ubuntu:~$ sudo apt-get install libpng-dev
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
libpng-dev 已经是最新版 (1.6.36-6)。
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。

至今尚未解决,网上搜过了一大堆解决方案也没能解决,请求各位大神解答,在线等,万分感谢。

《L02 从零构建论坛系统》
以构建论坛项目 LaraBBS 为线索,展开对 Laravel 框架的全面学习。应用程序架构思路贴近 Laravel 框架的设计哲学。
《L05 电商实战》
从零开发一个电商项目,功能包括电商后台、商品 & SKU 管理、购物车、订单管理、支付宝支付、微信支付、订单退款流程、优惠券等
讨论数量: 3
Summer

本地开发机器是 Ubuntu ,还是要部署到线上?

3个月前 评论

@Summer 自己有服务器 直接在阿里云服务器上部署的

3个月前 评论

更换版本为5.8,没有上述问题。所有命令全都执行成功,虽然不知道为什么,但至少可以继续进行了

2个月前 评论

请勿发布不友善或者负能量的内容。与人为善,比聪明更重要!